Bug 1474262 - oc debug with not-exist node can not get clear error message
oc debug with not-exist node can not get clear error message
Status: VERIFIED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Juan Vallejo
Xingxing Xia
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 05:15 EDT by XiaochuanWang
Modified: 2017-10-26 02:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description XiaochuanWang 2017-07-24 05:15:32 EDT
Description of problem:
oc debug with not-exist node, 3.5 output is clear 'Error from server (NotFound): nodes "invalidnode" not found', but 3.6 output is 'error: unable to create the debug pod "mydc-debug" on node "invalidnode"', which cannot tell clearly whether the node is an existent node that has problem "to create the debug pod", or the node name is a non-existent node

Version-Release number of selected component (if applicable):
v3.6.153

How reproducible:
Always

Steps to Reproduce:
1. $ oc run mydc --image=aosqe/hello-openshift
2. $ oc debug dc/mydc --node-name="notexist"
wait and check output

Actual results:
"""
Debugging with pod/python35-debug, original command: container-entrypoint /usr/libexec/s2i/run
Waiting for pod to start ...

Removing debug pod ...
error: unable to create the debug pod "mydc" on node "notexist"
"""

Expected results:
Message should be clear, eg. 3.5 cli output  'Error from server (NotFound): nodes "notexist" not found'

Additional info:
Comment 1 Juan Vallejo 2017-09-15 15:47:21 EDT
Origin PR: https://github.com/openshift/origin/pull/16387
Comment 2 XiaochuanWang 2017-09-26 04:53:25 EDT
Wait for verify when PR is merged to OCP.
Comment 3 XiaochuanWang 2017-09-27 04:31:26 EDT
Verified on latest OCP: oc v3.7.0-0.131.0

# oc debug dc/mydc --node-name="notexist"
Error from server (NotFound): nodes "notexist" not found
Comment 4 Xingxing Xia 2017-10-26 02:39:11 EDT
Reverted in bug 1505698

Note You need to log in before you can comment on or make changes to this bug.